HOOGLE(1)

NAME
hoogle - A Haskell API search engine.

SYNOPSIS
hoogle EXPRESSION|COMMAND [OPTIONS]

DESCRIPTION
Hoogle is a Haskell API search engine which allows you to search Haskell libraries by either function name, or by approximate type signature.
Example searches with EXPRESSION:
        map
        (a -> b) -> [a] -> [b]
        Ord a => [a] -> [a]
        Data.Map.insert
The Hoogle manual (http://www.haskell.org/haskellwiki/Hoogle) contains more details, including further details on search queries, how to install Hoogle as a command line application and how to integrate Hoogle with Firefox/Emacs/Vim etc.

This program also has some command for special usage.

  Command reference:

search
    Perform a search

generate
    Generate Hoogle databases

server
    Start a Hoogle server

replay
    Replay a log file

test
    Run the test suite

  Option reference:

-?, --help
    Display help message

-V,--version
    Print version information

--numeric-version
    Print just the version number

-v, --verbose
    Loud verbosity

-q, --quiet
    Quiet verbosity

AUTHOR
The text for this page was constructed from the Hoogle search engine's web page and written by Erik de Castro Lopo <erikd@mega-nerd.com> and Kiwamu Okabe <kiwamu@debian.or.jp>, for the Debian GNU/Linux system (but may be used by others).

SEE ALSO

haddock(1), update-hoogle(8)